{
  "_from": "pm2",
  "_id": "pm2@7.0.1",
  "_inBundle": false,
  "_integrity": "sha512-h/DI7WomfdAWDzDRtjhnNfsG4Do6kuOY+VGKbqffHW3yRZMUoWzwyBDkXjrOWvnBlwuY3lYBKkozDdCagfRI4Q==",
  "_location": "/pm2",
  "_phantomChildren": {},
  "_requested": {
    "type": "tag",
    "registry": true,
    "raw": "pm2",
    "name": "pm2",
    "escapedName": "pm2",
    "rawSpec": "",
    "saveSpec": null,
    "fetchSpec": "latest"
  },
  "_requiredBy": [
    "#USER",
    "/"
  ],
  "_resolved": "https://registry.npmmirror.com/pm2/-/pm2-7.0.1.tgz",
  "_shasum": "0094a414ca82f3cb8659669ccdb6f71773835683",
  "_spec": "pm2",
  "_where": "E:\\test-mtie-13.13\\node",
  "author": {
    "name": "Strzelewicz Alexandre",
    "email": "alexandre@pm2.io",
    "url": "https://pm2.io"
  },
  "bin": {
    "pm2": "bin/pm2",
    "pm2-dev": "bin/pm2-dev",
    "pm2-docker": "bin/pm2-docker",
    "pm2-runtime": "bin/pm2-runtime"
  },
  "bugs": {
    "url": "https://github.com/Unitech/pm2/issues"
  },
  "bundleDependencies": false,
  "contributors": [
    {
      "name": "Alex Kocharin",
      "email": "alex@kocharin.ru"
    },
    {
      "name": "Antoine Bluchet",
      "email": "soyuka@gmail.com"
    },
    {
      "name": "Subhash Burramsetty"
    },
    {
      "name": "Valentin Marchaud",
      "email": "thisismac47@gmail.com"
    },
    {
      "name": "Valentin Touffet",
      "email": "contact@eywek.fr"
    },
    {
      "name": "Florian Hermouet-Joscht",
      "email": "florian@keymetrics.io"
    },
    {
      "name": "Vincent Vallet",
      "email": "wallet77@gmail.com"
    },
    {
      "name": "Joni Shkurti",
      "email": "jonishkurti90@gmail.com"
    },
    {
      "name": "Jun Tjatse",
      "email": "thisnamemeansnothing@gmail.com"
    },
    {
      "name": "Xu Jingxin",
      "email": "sailxjx@gmail.com"
    },
    {
      "name": "Ben Postlethwaite",
      "email": "post.ben.here@gmail.com"
    },
    {
      "name": "Devo.ps",
      "email": "contact@devo.ps"
    },
    {
      "name": "Bret Copeland",
      "email": "bret@atlantisflight.org"
    },
    {
      "name": "John Hurliman",
      "email": "jhurliman@jhurliman.org"
    },
    {
      "name": "TruongSinh Tran-Nguyen",
      "email": "i@truongsinh.pro"
    },
    {
      "name": "Michael Hueuberger",
      "email": "michael.heuberger@binarykitchen.com"
    },
    {
      "name": "Chris Wiggins",
      "email": "chris@chriswiggins.co.nz"
    }
  ],
  "dependencies": {
    "@pm2/blessed": "0.1.81",
    "@pm2/js-api": "0.8.0",
    "@pm2/pm2-version-check": "1.0.4",
    "amp": "0.3.1",
    "amp-message": "0.1.2",
    "ansis": "4.0.0-node10",
    "async": "3.2.6",
    "chokidar": "3.6.0",
    "cli-tableau": "2.0.1",
    "commander": "2.15.1",
    "croner": "4.1.97",
    "dayjs": "1.11.15",
    "debug": "4.4.3",
    "eventemitter2": "6.4.9",
    "fast-json-patch": "3.1.1",
    "js-yaml": "4.1.1",
    "pidusage": "4.0.1",
    "pm2-deploy": "1.0.2",
    "pm2-sysmonit": "^1.2.8",
    "proxy-agent": "6.5.0",
    "semver": "7.7.2",
    "vizion": "2.2.1",
    "ws": "8.20.0"
  },
  "deprecated": false,
  "description": "Production process manager for Node.JS applications with a built-in load balancer.",
  "devDependencies": {
    "express": "^4.21.0",
    "mocha": "^11.7.0",
    "should": "^13.2.3"
  },
  "directories": {
    "bin": "./bin",
    "lib": "./lib",
    "example": "./examples"
  },
  "engines": {
    "node": ">=18.0.0"
  },
  "homepage": "http://pm2.keymetrics.io/",
  "keywords": [
    "cli",
    "fault tolerant",
    "sysadmin",
    "tools",
    "pm2",
    "logs",
    "log",
    "json",
    "express",
    "hapi",
    "kraken",
    "reload",
    "load balancer",
    "lb",
    "load-balancer",
    "kubernetes",
    "k8s",
    "pm2-docker",
    "runtime",
    "source maps",
    "graceful",
    "microservice",
    "programmatic",
    "harmony",
    "node-pm2",
    "production",
    "keymetrics",
    "node.js monitoring",
    "strong-pm",
    "deploy",
    "deployment",
    "daemon",
    "supervisor",
    "supervisord",
    "nodemon",
    "pm2.io",
    "ghost",
    "ghost production",
    "monitoring",
    "keymetrics",
    "process manager",
    "forever",
    "profiling",
    "probes",
    "apm",
    "container",
    "forever-monitor",
    "keep process alive",
    "process configuration",
    "clustering",
    "cluster cli",
    "cluster",
    "docker",
    "cron",
    "devops",
    "dev ops"
  ],
  "license": "AGPL-3.0",
  "main": "index.js",
  "maintainers": [
    {
      "name": "Alexandre Strzelewicz",
      "email": "alexandre@pm2.io"
    },
    {
      "name": "Antoine Bluchet",
      "email": "antoine@pm2.io"
    }
  ],
  "name": "pm2",
  "optionalDependencies": {
    "pm2-sysmonit": "^1.2.8"
  },
  "overrides": {
    "debug": "4.4.3"
  },
  "preferGlobal": true,
  "repository": {
    "type": "git",
    "url": "git://github.com/Unitech/pm2.git"
  },
  "scripts": {
    "test": "bash test/unit.sh && bash test/e2e.sh",
    "test:axon": "bash modules/pm2-axon/test/run modules/pm2-axon/test/test.*.js",
    "test:axon-rpc": "mocha 'modules/pm2-axon-rpc/test/' --reporter spec --exit",
    "test:bpm": "mocha 'modules/pm2-io-bpm/test/**/*.spec.js' --exit --timeout 10000",
    "test:e2e": "bash test/e2e.sh",
    "test:io-agent": "mocha 'modules/pm2-io-agent/test/units/*.mocha.js' --reporter spec --exit",
    "test:parallel": "bash test/docker-parallel.sh",
    "test:unit": "bash test/unit.sh",
    "test:windows": "bash test/windows.sh"
  },
  "types": "types/index.d.ts",
  "version": "7.0.1"
}
